Name:           python-sphinx-design
Version:        0.5.0
Release:        1
Summary:        Sphinx extension for responsive web components
 
License:        MIT AND Apache-2.0
URL:            https://github.com/executablebooks/sphinx-design
Source0:        https://files.pythonhosted.org/packages/fd/d0/62a7cee178d30f7217c4badea17eeca020801c0053773098d9ff65636a60/sphinx_design-0.5.0.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-hatchling
BuildRequires:  python3-flit-core
 
%description 
This package contains a Sphinx extension for designing beautiful, view
size responsive web components.
 
%package     -n python3-sphinx-design
Summary:        Sphinx extension for responsive web components
 
%description -n python3-sphinx-design 
This package contains a Sphinx extension for designing beautiful, view
size responsive web components.

%package        doc
Summary:        Documentation for %{name}
License:        MIT AND BSD-2-Clause AND BSD-3-Clause
 
%description    doc
Documentation for %{name}.
 
%prep
%autosetup -n sphinx_design-%{version} -p1
 
%build
%pyproject_build
 
%install
%pyproject_install

%files -n python3-sphinx-design 
%doc CHANGELOG.md README.md
%license LICENSE
%{python3_sitelib}/sphinx_design-*dist-info/
%{python3_sitelib}/sphinx_design/
 
%changelog
* Fri Jul 28 2023 ysliu  <ysliuci@isoftstone.com> - 0.5.0-1
- Initial package.
